﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using UPWpfAgeev.Classes;
using UPWpfAgeev.Model;
using UPWpfAgeev.Pages;
using UPWpfAgeev.ViewModels;
using UPWpfAgeev.Windows;

namespace UPWpfAgeev
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        AccountVM  accountVM = new AccountVM();

        // 1 - Пользователь/Гость
        // 2 - Администратор
        // 3 - Менеджер


        public MainWindow()
        {
            InitializeComponent();
            MyName.Text = accountVM.UsersFio;
            RoleChecker();
            //DataContext = accountVM;
        }

        void RoleChecker()
        {
            if (BaseConnection.Users == null)
            {
                CreateOrderBtn.Visibility = Visibility.Collapsed;
                OrderBtn.Visibility = Visibility.Collapsed;
            }
            else
            {
                if (BaseConnection.Users.UserRole == 2 || BaseConnection.Users.UserRole == 1)
                {
                    CreateOrderBtn.Visibility = Visibility.Visible;
                    OrderBtn.Visibility = Visibility.Visible;
                }
            }
          
        }


        private void Login(object sender, RoutedEventArgs e)
        {
            Window window = new wAuthorization();
            window.ShowDialog();
            if (BaseConnection.Users != null)
            {
                accountVM = new AccountVM(BaseConnection.Users);
                MyName.Text = accountVM.UsersFio;
            }
            RoleChecker();
            MainFrame.Navigate(new ProductsPage());
            
        }

        private void OpenListProduct(object sender, RoutedEventArgs e)
        {

        }
    }
}
